Bug 960362 (CVE-2013-2062)

Summary: CVE-2013-2062 libXp: Integer overflow leading to heap-based buffer overflow
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jlieskov, jrusnack, kem, peter.hutterer, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130523,reported=20130503,source=redhat,cvss2=4.3/AV:A/AC:H/Au:N/C:P/I:P/A:P,rhel-5/libXp=wontfix,rhel-6/libXp=affected,rhel-7/libXp=notaffected,fedora-all/libXp=affected,cwe=CWE-190->CWE-122
Fixed In Version: libXp 1.0.2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-10-16 02:21:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 966829, 979864, 1078031    
Bug Blocks: 959130, 1101912    

Description Huzaifa S. Sidhpurwala 2013-05-07 02:06:22 EDT
Multiple integer overflows leading to heap-based buffer overflows were found in several functions in libXp, an X.Org X11 libXp runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.
Comment 5 Jan Lieskovsky 2013-05-23 11:33:24 EDT
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3
Comment 6 Huzaifa S. Sidhpurwala 2013-05-24 00:05:09 EDT
Created libXp tracking bugs for this issue

Affects: fedora-all [bug 966829]
Comment 7 Huzaifa S. Sidhpurwala 2013-06-04 23:40:41 EDT
This issue affects the version of libXp as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 8 Huzaifa S. Sidhpurwala 2013-06-04 23:50:16 EDT
Statement:

This issue affects the libXp package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/
Comment 9 Jan Lieskovsky 2013-06-17 09:06:02 EDT
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23
Comment 11 Fedora Update System 2013-07-10 22:32:58 EDT
libXp-1.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2014-10-14 01:05:45 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html